<?php
/**
* Global Color Settings.
*
* @package Cargo And Shipping Company
*/

$cargo_and_shipping_company_default = cargo_and_shipping_company_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'cargo_and_shipping_company_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'cargo-and-shipping-company' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'cargo_and_shipping_company_theme_option_panel',
	)
);

$wp_customize->add_setting( 'cargo_and_shipping_company_global_color',
    array(
    'default'           => '#15212A',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'cargo_and_shipping_company_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'cargo-and-shipping-company' ),
        'section'    => 'cargo_and_shipping_company_global_color_setting',
        'settings'   => 'cargo_and_shipping_company_global_color',
    ) ) 
);


$wp_customize->add_setting( 'cargo_and_shipping_company_secondary_color',
    array(
    'default'           => '#FFD200',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'cargo_and_shipping_company_secondary_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'cargo-and-shipping-company' ),
        'section'    => 'cargo_and_shipping_company_global_color_setting',
        'settings'   => 'cargo_and_shipping_company_secondary_color',
    ) ) 
);